### A free/open-source library for quantitative finance

Public Member Functions
AnalyticCompoundOptionEngine Class Reference

Pricing engine for compound options using analytical formulae. More...

`#include <ql/experimental/compoundoption/analyticcompoundoptionengine.hpp>`

Inheritance diagram for AnalyticCompoundOptionEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticCompoundOptionEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for compound options using analytical formulae.

The formulas are taken from "Foreign Exchange Risk", Uwe Wystup, Risk 2002, where closed form Greeks are available. (not available in Haug 2007). Value: Page 84, Greeks: Pages 94-95.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.